#ifndef _CROPPLUGIN_H_
#define _CROPPLUGIN_H_

#include "quillimagefilter.h"
#include "quillimagefilterinterface.h"
#include "crop.h"

class CropPlugin : public QObject,
    public QuillImageFilterInterface
{
    Q_OBJECT
    Q_INTERFACES(QuillImageFilterInterface)

public:
    CropPlugin();

    QuillImageFilterImplementation *create(const QString &name);

    const QStringList name() const;

private:
    Q_DISABLE_COPY(CropPlugin);
};

#endif
