#ifndef _DEFAULTFILTERSPLUGIN_H_
#define _DEFAULTFILTERSPLUGIN_H_

#include "../base/quillimagefilter.h"
#include "../base/quillimagefilterinterface.h"
#include "loadfilter.h"
#include "overlay.h"
#include "savefilter.h"
#include "scalecrop.h"
#include "serialsaver.h"


class DefaultFiltersPlugin : public QObject,
    public QuillImageFilterInterface
{
    Q_OBJECT
    Q_INTERFACES(QuillImageFilterInterface)

public:
    DefaultFiltersPlugin();

    QuillImageFilterImplementation *create(const QString&);
    QuillImageFilterImplementation *create(QuillImageFilter::QuillFilterRole role);

    const QStringList name() const;

    const QList<QuillImageFilter::QuillFilterRole> role() const;

private:
    Q_DISABLE_COPY(DefaultFiltersPlugin);
};

#endif
