#ifndef _FLIPPLUGIN_H_
#define _FLIPPLUGIN_H_

#include "quillimagefilter.h"
#include "quillimagefilterinterface.h"
#include "flip.h"

class FlipPlugin : public QObject,
    public QuillImageFilterInterface
{
    Q_OBJECT
    Q_INTERFACES(QuillImageFilterInterface)

public:
    FlipPlugin();

    QuillImageFilterImplementation *create(const QString &name);

    const QStringList name() const;

private:
    Q_DISABLE_COPY(FlipPlugin);
};

#endif
