#ifndef _LANCZOSPLUGIN_H_
#define _LANCZOSPLUGIN_H_

#include "quillimagefilter.h"
#include "quillimagefilterinterface.h"
#include "lanczos.h"

class LanczosPlugin : public QObject,
    public QuillImageFilterInterface
{
    Q_OBJECT
    Q_INTERFACES(QuillImageFilterInterface)

public:
    LanczosPlugin();

    QuillImageFilterImplementation *create(const QString &name);

    const QStringList name() const;

private:
    Q_DISABLE_COPY(LanczosPlugin);
};

#endif
