#ifndef _LANCZOSPLUGIN_H_
#define _LANCZOSPLUGIN_H_

#include "quillimagefilter.h"
#include "quillimagefilterinterface.h"
#include "levels.h"

class LevelsPlugin : public QObject,
    public QuillImageFilterInterface
{
    Q_OBJECT
    Q_INTERFACES(QuillImageFilterInterface)

public:
    LevelsPlugin();

    QuillImageFilterImplementation *create(const QString &name);

    const QStringList name() const;

private:
    Q_DISABLE_COPY(LevelsPlugin);
};

#endif
