#ifndef _LANCZOSPLUGIN_H_
#define _LANCZOSPLUGIN_H_

#include "quillimagefilter.h"
#include "quillimagefilterinterface.h"
#include "redeyereduction.h"

class RedEyeReductionPlugin : public QObject,
    public QuillImageFilterInterface
{
    Q_OBJECT
    Q_INTERFACES(QuillImageFilterInterface)

public:
    RedEyeReductionPlugin();

    QuillImageFilterImplementation *create(const QString &name);

    const QStringList name() const;

    bool isUsedOnPreview() const {return false;}

private:
    Q_DISABLE_COPY(RedEyeReductionPlugin);
};

#endif
