#ifndef _FREEROTATEPLUGIN_H_
#define _FREEROTATEPLUGIN_H_

#include "quillimagefilter.h"
#include "quillimagefilterinterface.h"
#include "freerotate.h"

class FreeRotatePlugin : public QObject,
    public QuillImageFilterInterface
{
    Q_OBJECT
    Q_INTERFACES(QuillImageFilterInterface)

public:
    FreeRotatePlugin();

    QuillImageFilterImplementation *create(const QString &name);

    const QStringList name() const;

private:
    Q_DISABLE_COPY(FreeRotatePlugin);
};

#endif
