#ifndef _GAUSSIANPLUGIN_H_
#define _GAUSSIANPLUGIN_H_

#include "quillimagefilter.h"
#include "quillimagefilterinterface.h"
#include "gaussian.h"

class GaussianPlugin : public QObject,
    public QuillImageFilterInterface
{
    Q_OBJECT
    Q_INTERFACES(QuillImageFilterInterface)

public:
    GaussianPlugin();

    QuillImageFilterImplementation *create(const QString &name);

    const QStringList name() const;

private:
    Q_DISABLE_COPY(GaussianPlugin);
};

#endif
