#ifndef _ROTATEPLUGIN_H_
#define _ROTATEPLUGIN_H_

#include "quillimagefilter.h"
#include "quillimagefilterinterface.h"
#include "rotate.h"

class RotatePlugin : public QObject,
    public QuillImageFilterInterface
{
    Q_OBJECT
    Q_INTERFACES(QuillImageFilterInterface)

public:
    RotatePlugin();

    QuillImageFilterImplementation *create(const QString &name);

    const QStringList name() const;

private:
    Q_DISABLE_COPY(RotatePlugin);
};

#endif
